Skip to content

List all customers

Request

Security
bearerAuth
Path
organizationIdstringrequired

Organization ID of the member accessing the resource

Example:my-organization-id
Query
offsetinteger, [ 0 .. 9007199254740991 ]
Default:0
limitinteger, ( 0 .. 250 ]
Default:100
scopestring(ScopeInput)

All will return all visible customers. Team will restrict this to those where your team members (members under a shared manager) are assigned a role on the customer. Mine will only return customers you are assigned a role to on the customer.

Default:"all"
Enum:"mine""team""all"
statusstring(CustomerStatusInput)
Enum:"Active""Churned""Upcoming""Unassigned"
updatedSincestring, (date-time)^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[...

Only return customers updated at or after this time, up to now.

memberIdinteger, ( 0 .. 9007199254740991 ]

Only return customers this member is assigned to (in any role).

memberRoleIdinteger, ( 0 .. 9007199254740991 ]

Narrow the memberId filter to a single role, e.g. CSM. The role id is the id returned by ListMemberRoles. Must be supplied together with memberId.

sourceKeystring, non-empty

The source to match sourceExternalId against, e.g. salesforce. This is the key returned in a customer sources entry. Must be supplied together with sourceExternalId.

sourceExternalIdArray of strings, non-empty

Filter customers by their ID in an external source, such as a CRM. Must be supplied together with sourceKey.

segmentArray of strings, non-empty

Filter customers by segment name

domainArray of strings, non-empty

Filter customers by domain, e.g. example.com

countryArray of strings, non-empty

Filter customers by country

regionArray of strings, non-empty

Filter customers by region

cityArray of strings, non-empty

Filter customers by city

curl -i -X GET \
  'https://docs.api.hook.co/_mock/v1/openapi/organizations/my-organization-id/customers?offset=0&limit=100&scope=all&status=Active&updatedSince=2019-08-24T14%3A15%3A22Z&memberId=0&memberRoleId=0&sourceKey=string&sourceExternalId=string&segment=string&domain=string&country=string&region=string&city=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Default Response

Bodyapplication/json
itemsArray of objects(Customer)required
totalCountnumberrequired
Response
{ "items": [ {} ], "totalCount": 0 }